/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerResponse} from "./workerResponse";
import {PositionResponse} from "./positionResponse";
import {ZoneResponse} from "./zoneResponse";
import {TagResponse} from "./tagResponse";
import {SubContractorResponse} from "./subContractorResponse";
import {FloorResponse} from "./floorResponse";
import {FloorPlanResponse} from "./floorPlanResponse";

export class HistoryEntryResponseModel {
    public worker: WorkerResponse;

    public position: PositionResponse;

    public zone: ZoneResponse;

    public timeStamp: string;

    public tag: TagResponse;

    public subContractor: SubContractorResponse;

    public floor: FloorResponse;

    public floorPlan: FloorPlanResponse;

    /**
     * Creates a HistoryEntryResponseModel.
     *
     * @param {WorkerResponse} worker
     * @param {PositionResponse} position
     * @param {ZoneResponse} zone
     * @param {string} timeStamp
     * @param {TagResponse} tag
     * @param {SubContractorResponse} subContractor
     * @param {FloorResponse} floor
     * @param {FloorPlanResponse} floorPlan
     */
    constructor(worker: WorkerResponse, position: PositionResponse, zone: ZoneResponse, timeStamp: string, tag: TagResponse, subContractor: SubContractorResponse, floor: FloorResponse, floorPlan: FloorPlanResponse) {
        this.worker = worker;
        this.position = position;
        this.zone = zone;
        this.timeStamp = timeStamp;
        this.tag = tag;
        this.subContractor = subContractor;
        this.floor = floor;
        this.floorPlan = floorPlan;
    }
}
